如何在CentOS 6.5中安装docker 1.9?

我现在在CentOS 6.5上部署,现在我开始使用docker .

所以,我按照以下说明操作:https://docs.docker.com/engine/installation/centos/

无论我按照哪种方法安装,我都会获得1.7.1的版本 .

[root@VM_72_235_centos ~]# docker version
Client version: 1.7.1
Client API version: 1.19
Go version (client): go1.4.2
Git commit (client): 786b29d/1.7.1
OS/Arch (client): linux/amd64
Server version: 1.7.1
Server API version: 1.19
Go version (server): go1.4.2
Git commit (server): 786b29d/1.7.1
OS/Arch (server): linux/amd64

但现在我在文档中运行命令:

docker network ls

失败 docker: 'network' is not a docker command. .

我终于知道网络行动是在1.9中首次引入的 .

那么有没有办法在centos6中安装docker 1.9?

回答(1)

3 years ago

不再支持CentOS 6和RHEL 6,它们的最后一个版本是docker 1.7.1 .

该文件的页面(https://docs.docker.com/engine/installation/centos/)也提到了;

Docker在CentOS 7.X上运行无论您的CentOS版本如何,Docker都需要64位安装 . 此外,您的内核必须至少为3.10,CentOS 7运行 .

这些发行版正在运行的内核(2.6.x)已经超过13年了,虽然Red Hat将更新的功能反向移植到它们,但它们缺少Docker所需的某些选项,并且已被证明是不稳定的,不适合 生产环境 .

如果你想(保持)使用Docker,我建议你升级到CentOS 7.x .